/**
 * $class_name$.java
 *
 * Implements a simple AWT frame. To show this frame use:
 *
 * $class_name$ frame = new $class_name$();
 * frame.pack();
 * frame.show();
 *
 *
 * @author Created by Omnicore CodeGuide
 */

$package_declaration$
import java.awt.*;
import java.awt.event.*;

public class $class_name$ extends Frame
{
	/**
	 * Initializes the frame.
	 */
	public $class_name$()
	{
		super("$class_name$");
		
		// Add menu.
		
		ActionListener exitMenuItemListener = new ActionListener()
		{
			/**
			 * Invoked when an action occurs.
			 */
			public void actionPerformed(ActionEvent e)
			{
				$class_name$.this.close();
			}
		};
		MenuItem exitMenuItem = new MenuItem("Exit");
		exitMenuItem.addActionListener(exitMenuItemListener);
		Menu fileMenu = new Menu("File");
		fileMenu.add(exitMenuItem);
		MenuBar menuBar = new MenuBar();
		menuBar.add(fileMenu);
		setMenuBar(menuBar);
		
		// Add window listener.
		
		this.addWindowListener
		(
			new WindowAdapter()
			{
				/**
				 * Called when window close button was pressed.
				 */
				public void windowClosing(WindowEvent e)
				{
					$class_name$.this.close();
				}
			}
		);
		
		// TODO: Create your components...
		
		Button beepButton = new Button("Beep");
		beepButton.addActionListener
		(
			new ActionListener()
			{
				/**
				 * Called when the button was pressed.
				 */
				public void actionPerformed(ActionEvent e)
				{
					Toolkit.getDefaultToolkit().beep();
				}
			}
		);
		
		// TODO: Add your components...
		
		setLayout(new GridBagLayout());
		GridBagConstraints constraints = new GridBagConstraints();
		constraints.gridx = 0;
		constraints.gridy = 0;
		constraints.fill = GridBagConstraints.BOTH;
		constraints.weightx = 0;
		constraints.weighty = 0;
		constraints.insets = new Insets(40, 60, 40, 60);
		add(beepButton, constraints);
	}
	
	/**
	 * Shows the frame.
	 */
	public void show()
	{
		// You can also use: Dimension size = new Dimension(300,200);
		Dimension size = getPreferredSize();
		Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
		setBounds
		(
			(screenSize.width - size.width) / 2,
			(screenSize.height - size.height) / 2,
			size.width,
			size.height
		);
		
		super.show();
	}
	
	/**
	 * Closes the frame.
	 */
	private void close()
	{
		setVisible(false);
		
		System.exit(0); // Delete this line if necessary.
	}
}

